Transfer-in a domain
POST
https://api.vercel.com/v1/registrar/domains/{domain}/transferTransfer a domain in from another registrar
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.domainsRegistrar.transferInDomain({ domain: "silky-fund.org", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", requestBody: { authCode: "<value>", autoRenew: true, years: 298.08, expectedPrice: 5092.5, contactInformation: { firstName: "Gabrielle", lastName: "Hackett", email: "Keshawn99@yahoo.com", phone: "(758) 385-1802 x13762", address1: "<value>", city: "Pattiestead", state: "Idaho", zip: "64653-9022", country: "JO", }, }, });
console.log(result);}
run();Response
{ "orderId": "example_id", "_links": "value"}Errors
{ "status": "400", "code": "bad_request", "message": "string"}AuthorizationbearerToken
Default authentication mechanism
application/json
The auth code for the domain. You must obtain this code from the losing registrar.
Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the Update auto-renew for a domain endpoint.
The number of years to renew the domain for once it is transferred in. This must be a valid number of transfer years for the TLD.
400There was something wrong with the request
429TooManyRequests